import {Injectable} from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {Observable} from 'rxjs';
import {Author} from '../model/author';

@Injectable({
  providedIn: 'root'
})
export class AuthorService {

  constructor(private httpClient: HttpClient) {

  }

  list(): Observable<Author[]> {
    return this.httpClient.get<Author[]>("http://localhost:8080/api/authors");
  }
}
